# Face Detector

## CLI Arguments

### Face Detector Model

Choose the model responsible for detecting the faces.

Argument: `--face-detector-model`

Default: `yoloface`

Choices:&#x20;

* `many`
* `retinaface`
* `scrfd`
* `yoloface`

Example: `--face-detector-model retinaface`

### Face Detector Size

Specify frame size provided to the face detector.

Argument: `--face-detector-size`

Default: `640x640`

Choices:

* `160x160`
* `320x320`
* `480x480`
* `512x512`
* `640x640`
* `768x768`
* `960x960`
* `1024x1024`

Example: `--face-detector-size 320x320`

### Face Detector Margin

Apply top, right, bottom and left margin to the frame.

Argument: `--face-detector-margin`

Default: `0 0 0 0`

Example: `--face-detector-margin 10 20`

### Face Detector Angles

Specify the angles to rotate the frame before detecting faces.

Argument: `--face-detector-angles`

Default: `0`

Choices:

* `0`
* `90`
* `180`
* `270`

Example: `--face-detector-angles 0 180`

### Face Detector Score

Filter the detected faces base on the confidence score.

Argument: `--face-detector-score`

Default: `0.5`

Range: `0` to `1` at `0.05`

Example: `--face-detector-score 0.7`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[face_detector]
face_detector_model = retinaface
face_detector_size = 320x320
face_detector_margin = 10 20
face_detector_angles = 0 180
face_detector_score = 0.7
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/face-detector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
